Sspi (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Sspi

Package com.sun.jna.platform.win32

# Interface Sspi

public interface Sspi
Ported from Sspi.h. Microsoft Windows SDK 6.0A.

Author:
  dblock[at]dblock.org

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `Sspi.CredHandle`
  Credentials handle.
  `static class`
  `Sspi.CtxtHandle`
  Security context handle.
  `static class`
  `Sspi.PSecHandle`
  A pointer to a SecHandle
  `static class`
  `Sspi.PSecPkgInfo`
  A pointer to an array of SecPkgInfo structures.
  `static class`
  `Sspi.SEC_WINNT_AUTH_IDENTITY`
  `static class`
  `Sspi.SecBuffer`
  The SecBuffer structure describes a buffer allocated by a transport application to pass to a security package.
  `static class`
  `Sspi.SecBufferDesc`
  The SecBufferDesc structure describes an array of SecBuffer structures to pass from a transport application to a security package.
  `static class`
  `Sspi.SecHandle`
  Security handle.
  `static class`
  `Sspi.SecPkgContext_Flags`
  `static class`
  `Sspi.SecPkgContext_KeyInfo`
  `static class`
  `Sspi.SecPkgContext_Lifespan`
  `static class`
  `Sspi.SecPkgContext_NegotiationInfo`
  `static class`
  `Sspi.SecPkgContext_PackageInfo`
  The SecPkgContext_PackageInfo structure.
  `static class`
  `Sspi.SecPkgContext_SessionKey`
  `static class`
  `Sspi.SecPkgContext_Sizes`
  The SecPkgContext_Sizes structure indicates the sizes of important structures used in the message support functions.
  `static class`
  `Sspi.SecPkgCredentials_Names`
  The SecPkgCredentials_Names structure holds the name of the user associated with a context.
  `static class`
  `Sspi.SecPkgInfo`
  The SecPkgInfo structure provides general information about a security package, such as its name and capabilities.
  `static class`
  `Sspi.SECURITY_INTEGER`
  A security integer.
  `static class`
  `Sspi.TimeStamp`
  A timestamp.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ISC_REQ_ALLOCATE_MEMORY`
  The security package allocates output buffers for you.
  `static final int`
  `ISC_REQ_CONFIDENTIALITY`
  Encrypt messages by using the EncryptMessage function.
  `static final int`
  `ISC_REQ_CONNECTION`
  The security context will not handle formatting messages.
  `static final int`
  `ISC_REQ_DELEGATE`
  The server can use the context to authenticate to other servers as the client.
  `static final int`
  `ISC_REQ_EXTENDED_ERROR`
  When errors occur, the remote party will be notified.
  `static final int`
  `ISC_REQ_INTEGRITY`
  Sign messages and verify signatures by using the EncryptMessage and MakeSignature functions.
  `static final int`
  `ISC_REQ_MUTUAL_AUTH`
  The mutual authentication policy of the service will be satisfied.
  `static final int`
  `ISC_REQ_REPLAY_DETECT`
  Detect replayed messages that have been encoded by using the EncryptMessage or MakeSignature functions.
  `static final int`
  `ISC_REQ_SEQUENCE_DETECT`
  Detect messages received out of sequence.
  `static final int`
  `ISC_REQ_STREAM`
  Support a stream-oriented connection.
  `static final int`
  `MAX_TOKEN_SIZE`
  Maximum size in bytes of a security token.
  `static final int`
  `SEC_WINNT_AUTH_IDENTITY_ANSI`
  Strings in structure `Sspi.SEC_WINNT_AUTH_IDENTITY` are ANSI
  `static final int`
  `SEC_WINNT_AUTH_IDENTITY_UNICODE`
  String in structure `Sspi.SEC_WINNT_AUTH_IDENTITY` are UNICODE
  `static final int`
  `SECBUFFER_DATA`
  This buffer type is used for common data.
  `static final int`
  `SECBUFFER_EMPTY`
  This is a placeholder in the buffer array.
  `static final int`
  `SECBUFFER_TOKEN`
  This buffer type is used to indicate the security token portion of the message.
  `static final int`
  `SECBUFFER_VERSION`
  Version of the SecBuffer struct.
  `static final int`
  `SECPKG_ATTR_ACCESS_TOKEN`
  The pBuffer parameter contains a pointer to a SecPkgContext_AccessToken structure.
  `static final int`
  `SECPKG_ATTR_AUTHENTICATION_ID`
  `static final int`
  `SECPKG_ATTR_AUTHORITY`
  The pBuffer parameter contains a pointer to a SecPkgContext_Authority structure.
  `static final int`
  `SECPKG_ATTR_CLIENT_SPECIFIED_TARGET`
  The pBuffer parameter contains a pointer to a SecPkgContext_ClientSpecifiedTarget structure that represents the service principal name (SPN) of the initial target supplied by the client.
  `static final int`
  `SECPKG_ATTR_CONTEXT_DELETED`
  `static final int`
  `SECPKG_ATTR_CREDENTIAL_NAME`
  `static final int`
  `SECPKG_ATTR_DCE_INFO`
  The pBuffer parameter contains a pointer to a SecPkgContext_DceInfo structure.
  `static final int`
  `SECPKG_ATTR_ENDPOINT_BINDINGS`
  The pBuffer parameter contains a pointer to a SecPkgContext_Bindings structure that specifies channel binding information.
  `static final int`
  `SECPKG_ATTR_FLAGS`
  The pBuffer parameter contains a pointer to a `Sspi.SecPkgContext_Flags` structure.
  `static final int`
  `SECPKG_ATTR_KEY_INFO`
  The pBuffer parameter contains a pointer to a SecPkgContext_KeyInfo structure.
  `static final int`
  `SECPKG_ATTR_LAST_CLIENT_TOKEN_STATUS`
  The pBuffer parameter contains a pointer to a SecPkgContext_LastClientTokenStatus structure that specifies whether the token from the most recent call to the InitializeSecurityContext function is the last token from the client.
  `static final int`
  `SECPKG_ATTR_LIFESPAN`
  The pBuffer parameter contains a pointer to a SecPkgContext_Lifespan structure.
  `static final int`
  `SECPKG_ATTR_LOGOFF_TIME`
  `static final int`
  `SECPKG_ATTR_NAMES`
  The pBuffer parameter contains a pointer to a `Sspi.SecPkgCredentials_Names` structure.
  `static final int`
  `SECPKG_ATTR_NATIVE_NAMES`
  The pBuffer parameter contains a pointer to a SecPkgContext_NativeNames structure.
  `static final int`
  `SECPKG_ATTR_NEGO_KEYS`
  `static final int`
  `SECPKG_ATTR_NEGO_PKG_INFO`
  `static final int`
  `SECPKG_ATTR_NEGO_STATUS`
  `static final int`
  `SECPKG_ATTR_NEGOTIATION_INFO`
  The pBuffer parameter contains a pointer to a `Sspi.SecPkgContext_NegotiationInfo` structure.
  `static final int`
  `SECPKG_ATTR_PACKAGE_INFO`
  The pBuffer parameter contains a pointer to a `Sspi.SecPkgContext_PackageInfo` structure.
  `static final int`
  `SECPKG_ATTR_PASSWORD_EXPIRY`
  The pBuffer parameter contains a pointer to a SecPkgContext_PasswordExpiry structure.
  `static final int`
  `SECPKG_ATTR_PROMPTING_NEEDED`
  `static final int`
  `SECPKG_ATTR_PROTO_INFO`
  `static final int`
  `SECPKG_ATTR_SESSION_KEY`
  The pBuffer parameter contains a pointer to a `Sspi.SecPkgContext_SessionKey` structure.
  `static final int`
  `SECPKG_ATTR_SIZES`
  The pBuffer parameter contains a pointer to a `Sspi.SecPkgContext_Sizes` structure.
  `static final int`
  `SECPKG_ATTR_STREAM_SIZES`
  The pBuffer parameter contains a pointer to a SecPkgContext_StreamSizes structure.
  `static final int`
  `SECPKG_ATTR_SUBJECT_SECURITY_ATTRIBUTES`
  The pBuffer parameter contains a pointer to a SecPkgContext_SubjectAttributes structure.
  `static final int`
  `SECPKG_ATTR_TARGET`
  `static final int`
  `SECPKG_ATTR_TARGET_INFORMATION`
  The pBuffer parameter contains a pointer to a SecPkgContext_TargetInformation structure.
  `static final int`
  `SECPKG_ATTR_UNIQUE_BINDINGS`
  The pBuffer parameter contains a pointer to a SecPkgContext_Bindings structure that specifies channel binding information.
  `static final int`
  `SECPKG_ATTR_USE_VALIDATED`
  `static final int`
  `SECPKG_ATTR_USER_FLAGS`
  `static final int`
  `SECPKG_CRED_ATTR_NAMES`
  Returns the name of a credential in a pbuffer of type `Sspi.SecPkgCredentials_Names`.
  `static final int`
  `SECPKG_CRED_INBOUND`
  Validate an incoming server credential.
  `static final int`
  `SECPKG_CRED_OUTBOUND`
  Allow a local client credential to prepare an outgoing token.
  `static final int`
  `SECPKG_FLAG_ACCEPT_WIN32_NAME`
  Accepts Win32 names
  `static final int`
  `SECPKG_FLAG_APPCONTAINER_CHECKS`
  This package receives calls from app container apps if one of the following checks succeeds.
  `static final int`
  `SECPKG_FLAG_APPCONTAINER_PASSTHROUGH`
  This package receives all calls from app container apps.
  `static final int`
  `SECPKG_FLAG_ASCII_BUFFERS`
  Token Buffers are in ASCII
  `static final int`
  `SECPKG_FLAG_CLIENT_ONLY`
  Server side functionality not available
  `static final int`
  `SECPKG_FLAG_CONNECTION`
  Connection oriented RPC support
  `static final int`
  `SECPKG_FLAG_DATAGRAM`
  Datagram RPC support
  `static final int`
  `SECPKG_FLAG_DELEGATION`
  Package can delegate
  `static final int`
  `SECPKG_FLAG_EXTENDED_ERROR`
  Supports extended error msgs
  `static final int`
  `SECPKG_FLAG_FRAGMENT`
  Package can fragment to fit
  `static final int`
  `SECPKG_FLAG_GSS_COMPATIBLE`
  GSS Compatibility Available
  `static final int`
  `SECPKG_FLAG_IMPERSONATION`
  Supports impersonation
  `static final int`
  `SECPKG_FLAG_INTEGRITY`
  Supports integrity on messages
  `static final int`
  `SECPKG_FLAG_LOGON`
  Supports common LsaLogonUser
  `static final int`
  `SECPKG_FLAG_MULTI_REQUIRED`
  Full 3-leg required for re-auth.
  `static final int`
  `SECPKG_FLAG_MUTUAL_AUTH`
  Package can perform mutual authentication
  `static final int`
  `SECPKG_FLAG_NEGO_EXTENDER`
  The security package extends the Microsoft Negotiate security package.
  `static final int`
  `SECPKG_FLAG_NEGOTIABLE`
  Can be used by the negotiate package
  `static final int`
  `SECPKG_FLAG_NEGOTIABLE2`
  This package is negotiated by the package of type SECPKG_FLAG_NEGO_EXTENDER.
  `static final int`
  `SECPKG_FLAG_PRIVACY`
  Supports privacy (confidentiality)
  `static final int`
  `SECPKG_FLAG_RESTRICTED_TOKENS`
  Supports callers with restricted tokens.
  `static final int`
  `SECPKG_FLAG_STREAM`
  Supports stream semantics
  `static final int`
  `SECPKG_FLAG_TOKEN_ONLY`
  Only security token needed
  `static final int`
  `SECPKG_NEGOTIATION_COMPLETE`
  Negotiation has been completed.
  `static final int`
  `SECPKG_NEGOTIATION_DIRECT`
  `static final int`
  `SECPKG_NEGOTIATION_IN_PROGRESS`
  Negotiations in progress.
  `static final int`
  `SECPKG_NEGOTIATION_OPTIMISTIC`
  Negotiations not yet completed.
  `static final int`
  `SECPKG_NEGOTIATION_TRY_MULTICRED`
  `static final int`
  `SECQOP_WRAP_NO_ENCRYPT`
  Produce a header or trailer but do not encrypt the message.
  `static final int`
  `SECQOP_WRAP_OOB_DATA`
  Send an Schannel alert message.
  `static final int`
  `SECURITY_NATIVE_DREP`
  Specifies Native data representation.
  `static final int`
  `SECURITY_NETWORK_DREP`
  Specifies network data representation.

- ## Field Details

  - ### MAX_TOKEN_SIZE

    static final int MAX_TOKEN_SIZE
    Maximum size in bytes of a security token. `MAX_TOKEN_SIZE` has the following default value, depending on the version of Windows that builds the token:

    Windows Server 2008 R2 and earlier versions, and Windows 7 and earlier versions: 12,000 bytes. Windows Server 2012 and later versions, and Windows 8 and later versions: 48,000 bytes

    See Also:
      - Problems with Kerberos authentication when a user belongs to many groups

  - ### SECPKG_CRED_INBOUND

    static final int SECPKG_CRED_INBOUND
    Validate an incoming server credential. Inbound credentials might be validated by using an authenticating authority when InitializeSecurityContext or AcceptSecurityContext is called. If such an authority is not available, the function will fail and return SEC_E_NO_AUTHENTICATING_AUTHORITY. Validation is package specific.
    See Also:
      - Constant Field Values

  - ### SECPKG_CRED_OUTBOUND

    static final int SECPKG_CRED_OUTBOUND
    Allow a local client credential to prepare an outgoing token.
    See Also:
      - Constant Field Values

  - ### SECURITY_NATIVE_DREP

    static final int SECURITY_NATIVE_DREP
    Specifies Native data representation.
    See Also:
      - Constant Field Values

  - ### SECURITY_NETWORK_DREP

    static final int SECURITY_NETWORK_DREP
    Specifies network data representation.
    See Also:
      - Constant Field Values

  - ### ISC_REQ_ALLOCATE_MEMORY

    static final int ISC_REQ_ALLOCATE_MEMORY
    The security package allocates output buffers for you. When you have finished using the output buffers, free them by calling the FreeContextBuffer function.
    See Also:
      - Constant Field Values

  - ### ISC_REQ_CONFIDENTIALITY

    static final int ISC_REQ_CONFIDENTIALITY
    Encrypt messages by using the EncryptMessage function.
    See Also:
      - Constant Field Values

  - ### ISC_REQ_CONNECTION

    static final int ISC_REQ_CONNECTION
    The security context will not handle formatting messages. This value is the default.
    See Also:
      - Constant Field Values

  - ### ISC_REQ_DELEGATE

    static final int ISC_REQ_DELEGATE
    The server can use the context to authenticate to other servers as the client. The ISC_REQ_MUTUAL_AUTH flag must be set for this flag to work. Valid for Kerberos. Ignore this flag for constrained delegation.
    See Also:
      - Constant Field Values

  - ### ISC_REQ_EXTENDED_ERROR

    static final int ISC_REQ_EXTENDED_ERROR
    When errors occur, the remote party will be notified.
    See Also:
      - Constant Field Values

  - ### ISC_REQ_INTEGRITY

    static final int ISC_REQ_INTEGRITY
    Sign messages and verify signatures by using the EncryptMessage and MakeSignature functions.
    See Also:
      - Constant Field Values

  - ### ISC_REQ_MUTUAL_AUTH

    static final int ISC_REQ_MUTUAL_AUTH
    The mutual authentication policy of the service will be satisfied.
    See Also:
      - Constant Field Values

  - ### ISC_REQ_REPLAY_DETECT

    static final int ISC_REQ_REPLAY_DETECT
    Detect replayed messages that have been encoded by using the EncryptMessage or MakeSignature functions.
    See Also:
      - Constant Field Values

  - ### ISC_REQ_SEQUENCE_DETECT

    static final int ISC_REQ_SEQUENCE_DETECT
    Detect messages received out of sequence.
    See Also:
      - Constant Field Values

  - ### ISC_REQ_STREAM

    static final int ISC_REQ_STREAM
    Support a stream-oriented connection.
    See Also:
      - Constant Field Values

  - ### SECBUFFER_VERSION

    static final int SECBUFFER_VERSION
    Version of the SecBuffer struct.
    See Also:
      - Constant Field Values

  - ### SECBUFFER_EMPTY

    static final int SECBUFFER_EMPTY
    This is a placeholder in the buffer array.
    See Also:
      - Constant Field Values

  - ### SECBUFFER_DATA

    static final int SECBUFFER_DATA
    This buffer type is used for common data. The security package can read and write this data.
    See Also:
      - Constant Field Values

  - ### SECBUFFER_TOKEN

    static final int SECBUFFER_TOKEN
    This buffer type is used to indicate the security token portion of the message. This is read-only for input parameters or read/write for output parameters.
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_SIZES

    static final int SECPKG_ATTR_SIZES
    The pBuffer parameter contains a pointer to a `Sspi.SecPkgContext_Sizes` structure.

    Queries the sizes of the structures used in the per-message functions.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_NAMES

    static final int SECPKG_ATTR_NAMES
    The pBuffer parameter contains a pointer to a `Sspi.SecPkgCredentials_Names` structure.

    Queries the name associated with the context.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_LIFESPAN

    static final int SECPKG_ATTR_LIFESPAN
    The pBuffer parameter contains a pointer to a SecPkgContext_Lifespan structure.

    Queries the life span of the context.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_DCE_INFO

    static final int SECPKG_ATTR_DCE_INFO
    The pBuffer parameter contains a pointer to a SecPkgContext_DceInfo structure.

    Queries for authorization data used by DCE services.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_STREAM_SIZES

    static final int SECPKG_ATTR_STREAM_SIZES
    The pBuffer parameter contains a pointer to a SecPkgContext_StreamSizes structure.

    Queries the sizes of the various parts of a stream used in the per-message functions.

    This attribute is supported only by the Schannel security package.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_KEY_INFO

    static final int SECPKG_ATTR_KEY_INFO
    The pBuffer parameter contains a pointer to a SecPkgContext_KeyInfo structure.

    Queries information about the keys used in a security context.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_AUTHORITY

    static final int SECPKG_ATTR_AUTHORITY
    The pBuffer parameter contains a pointer to a SecPkgContext_Authority structure.

    Queries the name of the authenticating authority.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_PROTO_INFO

    static final int SECPKG_ATTR_PROTO_INFO
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_PASSWORD_EXPIRY

    static final int SECPKG_ATTR_PASSWORD_EXPIRY
    The pBuffer parameter contains a pointer to a SecPkgContext_PasswordExpiry structure.

    Returns password expiration information.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_SESSION_KEY

    static final int SECPKG_ATTR_SESSION_KEY
    The pBuffer parameter contains a pointer to a `Sspi.SecPkgContext_SessionKey` structure. Returns information about the session keys.
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_PACKAGE_INFO

    static final int SECPKG_ATTR_PACKAGE_INFO
    The pBuffer parameter contains a pointer to a `Sspi.SecPkgContext_PackageInfo` structure. Returns information on the SSP in use.
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_USER_FLAGS

    static final int SECPKG_ATTR_USER_FLAGS
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_NEGOTIATION_INFO

    static final int SECPKG_ATTR_NEGOTIATION_INFO
    The pBuffer parameter contains a pointer to a `Sspi.SecPkgContext_NegotiationInfo` structure.

    Returns information about the security package to be used with the negotiation process and the current state of the negotiation for the use of that package.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_NATIVE_NAMES

    static final int SECPKG_ATTR_NATIVE_NAMES
    The pBuffer parameter contains a pointer to a SecPkgContext_NativeNames structure.

    Returns the principal name (CNAME) from the outbound ticket.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_FLAGS

    static final int SECPKG_ATTR_FLAGS
    The pBuffer parameter contains a pointer to a `Sspi.SecPkgContext_Flags` structure.

    Returns information about the negotiated context flags.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_USE_VALIDATED

    static final int SECPKG_ATTR_USE_VALIDATED
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_CREDENTIAL_NAME

    static final int SECPKG_ATTR_CREDENTIAL_NAME
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_TARGET_INFORMATION

    static final int SECPKG_ATTR_TARGET_INFORMATION
    The pBuffer parameter contains a pointer to a SecPkgContext_TargetInformation structure.

    Returns information about the name of the remote server.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_ACCESS_TOKEN

    static final int SECPKG_ATTR_ACCESS_TOKEN
    The pBuffer parameter contains a pointer to a SecPkgContext_AccessToken structure.

    Returns a handle to the access token.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_TARGET

    static final int SECPKG_ATTR_TARGET
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_AUTHENTICATION_ID

    static final int SECPKG_ATTR_AUTHENTICATION_ID
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_LOGOFF_TIME

    static final int SECPKG_ATTR_LOGOFF_TIME
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_NEGO_KEYS

    static final int SECPKG_ATTR_NEGO_KEYS
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_PROMPTING_NEEDED

    static final int SECPKG_ATTR_PROMPTING_NEEDED
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_UNIQUE_BINDINGS

    static final int SECPKG_ATTR_UNIQUE_BINDINGS
    The pBuffer parameter contains a pointer to a SecPkgContext_Bindings structure that specifies channel binding information.

    This value is supported only by the Schannel security package.

    Windows Server 2008, Windows Vista, Windows Server 2003 and Windows XP: This value is not supported.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_ENDPOINT_BINDINGS

    static final int SECPKG_ATTR_ENDPOINT_BINDINGS
    The pBuffer parameter contains a pointer to a SecPkgContext_Bindings structure that specifies channel binding information.

    This attribute is supported only by the Schannel security package.

    Windows Server 2008, Windows Vista, Windows Server 2003 and Windows XP: This value is not supported.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_CLIENT_SPECIFIED_TARGET

    static final int SECPKG_ATTR_CLIENT_SPECIFIED_TARGET
    The pBuffer parameter contains a pointer to a SecPkgContext_ClientSpecifiedTarget structure that represents the service principal name (SPN) of the initial target supplied by the client.

    Windows Server 2008, Windows Vista, Windows Server 2003 and Windows XP: This value is not supported.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_LAST_CLIENT_TOKEN_STATUS

    static final int SECPKG_ATTR_LAST_CLIENT_TOKEN_STATUS
    The pBuffer parameter contains a pointer to a SecPkgContext_LastClientTokenStatus structure that specifies whether the token from the most recent call to the InitializeSecurityContext function is the last token from the client.

    This value is supported only by the Negotiate, Kerberos, and NTLM security packages.

    Windows Server 2008, Windows Vista, Windows Server 2003 and Windows XP: This value is not supported.

    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_NEGO_PKG_INFO

    static final int SECPKG_ATTR_NEGO_PKG_INFO
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_NEGO_STATUS

    static final int SECPKG_ATTR_NEGO_STATUS
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_CONTEXT_DELETED

    static final int SECPKG_ATTR_CONTEXT_DELETED
    See Also:
      - Constant Field Values

  - ### SECPKG_ATTR_SUBJECT_SECURITY_ATTRIBUTES

    static final int SECPKG_ATTR_SUBJECT_SECURITY_ATTRIBUTES
    The pBuffer parameter contains a pointer to a SecPkgContext_SubjectAttributes structure.

    This value returns information about the security attributes for the connection.

    This value is supported only on the CredSSP server.

    Windows Server 2008, Windows Vista, Windows Server 2003 and Windows XP: This value is not supported.

    See Also:
      - Constant Field Values

  - ### SECPKG_NEGOTIATION_COMPLETE

    static final int SECPKG_NEGOTIATION_COMPLETE
    Negotiation has been completed.
    See Also:
      - Constant Field Values

  - ### SECPKG_NEGOTIATION_OPTIMISTIC

    static final int SECPKG_NEGOTIATION_OPTIMISTIC
    Negotiations not yet completed.
    See Also:
      - Constant Field Values

  - ### SECPKG_NEGOTIATION_IN_PROGRESS

    static final int SECPKG_NEGOTIATION_IN_PROGRESS
    Negotiations in progress.
    See Also:
      - Constant Field Values

  - ### SECPKG_NEGOTIATION_DIRECT

    static final int SECPKG_NEGOTIATION_DIRECT
    See Also:
      - Constant Field Values

  - ### SECPKG_NEGOTIATION_TRY_MULTICRED

    static final int SECPKG_NEGOTIATION_TRY_MULTICRED
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_INTEGRITY

    static final int SECPKG_FLAG_INTEGRITY
    Supports integrity on messages
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_PRIVACY

    static final int SECPKG_FLAG_PRIVACY
    Supports privacy (confidentiality)
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_TOKEN_ONLY

    static final int SECPKG_FLAG_TOKEN_ONLY
    Only security token needed
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_DATAGRAM

    static final int SECPKG_FLAG_DATAGRAM
    Datagram RPC support
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_CONNECTION

    static final int SECPKG_FLAG_CONNECTION
    Connection oriented RPC support
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_MULTI_REQUIRED

    static final int SECPKG_FLAG_MULTI_REQUIRED
    Full 3-leg required for re-auth.
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_CLIENT_ONLY

    static final int SECPKG_FLAG_CLIENT_ONLY
    Server side functionality not available
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_EXTENDED_ERROR

    static final int SECPKG_FLAG_EXTENDED_ERROR
    Supports extended error msgs
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_IMPERSONATION

    static final int SECPKG_FLAG_IMPERSONATION
    Supports impersonation
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_ACCEPT_WIN32_NAME

    static final int SECPKG_FLAG_ACCEPT_WIN32_NAME
    Accepts Win32 names
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_STREAM

    static final int SECPKG_FLAG_STREAM
    Supports stream semantics
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_NEGOTIABLE

    static final int SECPKG_FLAG_NEGOTIABLE
    Can be used by the negotiate package
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_GSS_COMPATIBLE

    static final int SECPKG_FLAG_GSS_COMPATIBLE
    GSS Compatibility Available
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_LOGON

    static final int SECPKG_FLAG_LOGON
    Supports common LsaLogonUser
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_ASCII_BUFFERS

    static final int SECPKG_FLAG_ASCII_BUFFERS
    Token Buffers are in ASCII
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_FRAGMENT

    static final int SECPKG_FLAG_FRAGMENT
    Package can fragment to fit
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_MUTUAL_AUTH

    static final int SECPKG_FLAG_MUTUAL_AUTH
    Package can perform mutual authentication
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_DELEGATION

    static final int SECPKG_FLAG_DELEGATION
    Package can delegate
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_RESTRICTED_TOKENS

    static final int SECPKG_FLAG_RESTRICTED_TOKENS
    Supports callers with restricted tokens.
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_NEGO_EXTENDER

    static final int SECPKG_FLAG_NEGO_EXTENDER
    The security package extends the Microsoft Negotiate security package.
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_NEGOTIABLE2

    static final int SECPKG_FLAG_NEGOTIABLE2
    This package is negotiated by the package of type SECPKG_FLAG_NEGO_EXTENDER.
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_APPCONTAINER_PASSTHROUGH

    static final int SECPKG_FLAG_APPCONTAINER_PASSTHROUGH
    This package receives all calls from app container apps.
    See Also:
      - Constant Field Values

  - ### SECPKG_FLAG_APPCONTAINER_CHECKS

    static final int SECPKG_FLAG_APPCONTAINER_CHECKS
    This package receives calls from app container apps if one of the following checks succeeds.
    - Caller has default credentials capability.
    - The target is a proxy server.
    - The caller has supplied credentials.
    See Also:
      - Constant Field Values

  - ### SECPKG_CRED_ATTR_NAMES

    static final int SECPKG_CRED_ATTR_NAMES
    Returns the name of a credential in a pbuffer of type `Sspi.SecPkgCredentials_Names`.
    See Also:
      - Constant Field Values

  - ### SECQOP_WRAP_NO_ENCRYPT

    static final int SECQOP_WRAP_NO_ENCRYPT
    Produce a header or trailer but do not encrypt the message.
    See Also:
      - Constant Field Values

  - ### SECQOP_WRAP_OOB_DATA

    static final int SECQOP_WRAP_OOB_DATA
    Send an Schannel alert message. In this case, the pMessage parameter must contain a standard two-byte SSL/TLS event code. This value is supported only by the Schannel SSP.
    See Also:
      - Constant Field Values

  - ### SEC_WINNT_AUTH_IDENTITY_ANSI

    static final int SEC_WINNT_AUTH_IDENTITY_ANSI
    Strings in structure `Sspi.SEC_WINNT_AUTH_IDENTITY` are ANSI
    See Also:
      - Constant Field Values

  - ### SEC_WINNT_AUTH_IDENTITY_UNICODE

    static final int SEC_WINNT_AUTH_IDENTITY_UNICODE
    String in structure `Sspi.SEC_WINNT_AUTH_IDENTITY` are UNICODE
    See Also:
      - Constant Field Values